### Method

# CM Room get_name

#### Declaration [src]

    const char*
    cm_room_get_name (
      CmRoom* self
    )

#### Description [src]

Get the matrix room name. Can be `NULL` if the room name is not set, or the name is not yet loaded.

Gets property | `CM.Room:name`

#### Return value

Type: `const char*`

The room name.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.